## org.apache.log4j.lf5
Class AppenderFinalizer

    java.lang.Object
      org.apache.log4j.lf5.AppenderFinalizer

    public class AppenderFinalizer

extends Object

`AppenderFinalizer` has a single method that will finalize resources associated with a `LogBrokerMonitor` in the event that the `LF5Appender` class is destroyed, and the class loader is garbage collected.

Author:
  Brent Sprecher

Field Summary
`protected LogBrokerMonitor` `_defaultMonitor`

Constructor Summary
`AppenderFinalizer(LogBrokerMonitor defaultMonitor)`

Method Summary
`protected void` `finalize()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _defaultMonitor

    protected LogBrokerMonitor _defaultMonitor

Constructor Detail

### AppenderFinalizer

    public AppenderFinalizer(LogBrokerMonitor defaultMonitor)

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.